Bug 1479059 - Unable to list/remove or add future-dated subscriptions in individual content host view
Unable to list/remove or add future-dated subscriptions in individual content...
Status: NEW
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity high (vote)
: GA
: --
Assigned To: satellite6-bugs
jcallaha
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 16:58 EDT by jcallaha
Modified: 2017-08-15 15:51 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20582 None None None 2017-08-14 08:31 EDT

  None (edit)
Description jcallaha 2017-08-07 16:58:39 EDT
Description of problem:
When viewing the subscriptions tab of an individual content host, future-dated subscriptions don't show up in the list/remove or add sub-tabs. This prevents the user from not only seeing what future-dated subscriptions a host has, but also prevents them from taking any action. 

Version-Release number of selected component (if applicable):
Satellite 6.3 Snap 10

How reproducible:
Always

Steps to Reproduce:
1. Upload a manifest with future-dated subscriptions.
  2. Register a host to the satellite
  3. Navigate to the host in the content host page
  4. Navigate to the host's subscriptions
  5. Click on the 'Add' sub-tab

  2. Add a future-dated subscription to an activation key
  3. Register a host to the satellite using the activation key
  4. Navigate to the host in the content host page
  5. Navigate to the host's subscriptions
  6. Look under the 'List/Remove' sub-tab

Actual results:
No future-dated subscriptions are displayed in the 'List/Remove' or the 'Add' sub-tabs.

Expected results:
Future-dated subscriptions are displayed in the 'List/Remove' or the 'Add' sub-tabs.
Comment 2 Brad Buckingham 2017-08-14 08:31:05 EDT
Created redmine issue http://projects.theforeman.org/issues/20582 from this bug

Note You need to log in before you can comment on or make changes to this bug.